EDIT - bug #9397

Derivate tree view must show DerivedUnits even if the FieldUnit is missing
01/18/2021 02:18 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.19

Severity: normal Found in Version:

Description

see also #7704 for the same problem in the specimen table

Related issues:
Related to EDIT - feature request #7704: Dataportal specimen table should be ... Closed
Related to EDIT - bug #9395: DerivedUnit.collectFieldUnits() and findFieldUni... Closed

Associated revisions

Revision 97831084 - 01/25/2021 07:26 PM - Andreas Kohlbecker

fix #7704 fix #9397 adapting specimen tree and table view to cdmlib improvements for complete root unit display

Revision 2¢559f97 - 01/25/2021 08:17 PM - Andreas Kohlbecker

fix #7704 fix #9397 adapting specimen tree and table view to cdmlib improvements for complete root unit display - adapting tests

Revision f047dbf9 - 01/26/2021 08:18 AM - Andreas Kohlbecker

ref #9397 supressing summarylLabel in derivate tree

Revision b8182374 - 01/26/2021 01:05 PM - Andreas Kohlbecker

ref #9397 supressing derivationTreeSummary in derivate tree

History

#1 - 01/18/2021 02:19 PM - Andreas Kohlbecker
- Related to feature request #7704: Dataportal specimen table should be able to show DerivedUnits without a FieldUnit added

#2 - 01/18/2021 02:19 PM - Andreas Kohlbecker

- Related to bug #9395: DerivedUnit.collectFieldUnits() and findFieldUnitDTOByAssociatedTaxon() and findByAccessionNumber() in
OccurrenceService to return all root units added

#3 - 01/25/2021 07:06 PM - Andreas Kohlbecker

- Subject changed from Derivate tree view must show DerivedUnits weven if the FieldUnit is missing to Derivate tree view must show DerivedUnits
even if the FieldUnit is missing

#4 - 01/25/2021 07:26 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|9783f0849a4b549f3b1513211011f4eb16c01eac.

#5 - 01/27/2021 03:21 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
